#Ad hoc Übung 1.3

from turtle import *

#hatte zuerst alle rights als lefts und da war die Form am Schluss spiegelverkehrt.
#1.3. b)
fillcolor("cyan")
pencolor("red")
pensize(5)
left(45) #Hier habe ich Werte von 45-135 eingesetzt um herauszufinden, wie stark ich rotieren muss. Hätte man durch eine gezielte Startrichtung einfacher machen können
begin_fill()
forward(100)
right(90)
forward(100)
right(90)
forward(100)
right(90)
forward(100)
#right(90) --> hatte ich zuerst drin, weil ich wieder zum Mittelpunkt musste. Ist aber bei anderem Startpunkt nicht nötig.
#forward(100)
end_fill()

right(165) #hier musste ich auch eine Weile rumprobieren, bis ich den richtigen Winkel gefunden habe
fillcolor("yellow")
begin_fill()
forward(100)
right(90)
forward(100)
right(90)
forward(100)
right(90)
forward(100)
end_fill()


right(165)
fillcolor("magenta")
begin_fill()
forward(100)
right(90)
forward(100)
right(90)
forward(100)
right(90)
forward(100)
end_fill()

right(165)
fillcolor("blue")
begin_fill()
forward(100)
right(90)
forward(100)
right(90)
forward(100)
right(90)
forward(100)
end_fill()

right(165)
fillcolor("lime")
begin_fill()
forward(100)
right(90)
forward(100)
right(90)
forward(100)
right(90)
forward(100)
end_fill()